package cn.com.qmth.stmms.biz.mark.thread;

import java.util.LinkedList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import cn.com.qmth.stmms.biz.exam.model.Marker;
import cn.com.qmth.stmms.biz.mark.service.MarkService;
import cn.com.qmth.stmms.biz.utils.SpringContextHolder;
import cn.com.qmth.stmms.common.utils.Callback;

/**
 * 评卷员计算评卷质量指标工作包装线程
 * 
 * @author luoshi
 *
 */
public class MarkQualityThread implements Runnable {

    protected static final Logger log = LoggerFactory.getLogger(MarkQualityThread.class);

    private List<Marker> markers;

    private Callback callback;

    public MarkQualityThread(Marker marker, Callback callback) {
        this.markers = new LinkedList<>();
        this.markers.add(marker);
        this.callback = callback;
    }

    public MarkQualityThread(List<Marker> markers, Callback callback) {
        this.markers = markers;
        this.callback = callback;
    }

    @Override
    public void run() {
        MarkService markService = SpringContextHolder.getBean(MarkService.class);

        if (markers != null && markService != null) {
            for (Marker marker : markers) {
                try {
                    markService.updateQuality(marker);
                } catch (Exception e) {
                    log.error("marker quality thread error", e);
                }
            }
        }
        if (callback != null) {
            callback.invoke();
        }
    }
}
